Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class LogManager

    java.lang.Object
      java.util.logging.LogManager
          org.apache.logging.log4j.jul.LogManager

    public class LogManager

extends LogManager

Log4j implementation of `LogManager`. Note that the system property `java.util.logging.manager` must be set to `org.apache.logging.log4j.jul.LogManager` in order to use this adaptor. This LogManager requires the `log4j-api` library to be available. If `log4j-core` is also available, then more features of `Logger` are supported.

To override the default `AbstractLoggerAdapter` that is used, specify the Log4j property `log4j.jul.LoggerAdapter` and set it to the fully qualified class name of a custom implementation. All implementations must have a default constructor.

Since:
  2.1

Field Summary

Fields inherited from class java.util.logging.LogManager
`LOGGING_MXBEAN_NAME`

Constructor Summary
`LogManager()`

Method Summary
`boolean` | `addLogger(Logger logger)`
`Logger` | `getLogger(String name)`
`Enumeration<String>` | `getLoggerNames()`

Methods inherited from class java.util.logging.LogManager
`addPropertyChangeListener, checkAccess, getLoggingMXBean, getLogManager, getProperty, readConfiguration, readConfiguration, removePropertyChangeListener, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogManager

    public LogManager()

Method Detail

### addLogger

    public boolean addLogger(Logger logger)

  Overrides:
    `addLogger` in class `LogManager`

### getLogger

    public Logger getLogger(String name)

  Overrides:
    `getLogger` in class `LogManager`

### getLoggerNames

    public Enumeration<String> getLoggerNames()

  Overrides:
    `getLoggerNames` in class `LogManager`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.